> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search traces

> Search for traces matching the specified filter criteria. This API is undocumented and may change without notice.




## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/traces
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/traces:
    get:
      tags:
        - MLflow traces
      summary: Search traces
      description: >
        Search for traces matching the specified filter criteria. This API is
        undocumented and may change without notice.
      operationId: traces.Search
      parameters:
        - in: query
          name: experiment_ids
          schema:
            type: string
            example: '["0"]'
          required: true
          description: JSON-encoded list of experiment IDs to search within.
        - in: query
          name: filter
          schema:
            type: string
            example: trace.name = 'my_trace'
          required: false
          description: SQL-style filter string.
        - in: query
          name: order_by
          schema:
            type: string
            example: '["timestamp_ms DESC"]'
          required: false
          description: JSON-encoded list of order by clauses.
        - in: query
          name: max_results
          schema:
            type: integer
            example: 100
          required: false
          description: Maximum number of traces to return.
      responses:
        '200':
          description: List of traces matching the filter.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_SearchTracesResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_SearchTracesResponse:
      properties:
        next_page_token:
          description: ''
          type: string
        traces:
          description: Traces that match the search criteria.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Trace'
          type: array
      type: object
    mlflow-proxy_Trace:
      type: object
      properties:
        request_id:
          type: string
        name:
          type: string
        status:
          type: string
        start_time_ms:
          type: integer
        end_time_ms:
          type: integer
        tags:
          type: array
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [API reference for the Agents Python SDK](/cloud/reference/experiment-agent-sdk/python-sdk-agents.md)
- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [Search Traces V3](/api-reference/mlflow-traces/search-traces-v3.md)
- [Monitor agentic systems](/cloud/platform-capabilities/features/agents/monitor.md)
